pool.hpp File Reference
`#include <algorithm>`
`#include <atomic>`
`#include <cstddef>`
`#include <cstdlib>`
`#include <future>`
`#include <thread>`
`#include <type_traits>`
`#include <vector>`
`#include <osmium/thread/function_wrapper.hpp>`
`#include <osmium/thread/queue.hpp>`
`#include <osmium/thread/util.hpp>`
`#include <osmium/util/config.hpp>`
Include dependency graph for pool.hpp:

Go to the source code of this file.

## Classes

class | osmium::thread::Pool
class | osmium::thread::Pool::thread_joiner

## Namespaces

| osmium
| Namespace for everything in the Osmium library.
| osmium::thread
| Threading-related low-level code.